{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "ASTRAIN.Api",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "Debug Build API",
      "program": "${workspaceFolder}/src/ASTRAIN.Api/bin/Debug/net10.0/ASTRAIN.Api.dll",
      "args": [],
      "cwd": "${workspaceFolder}/src/ASTRAIN.Api",
      "stopAtEntry": false,
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development"
      }
    },
    {
      "name": "ASTRAIN.Client",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "Debug Build Client",
      "program": "dotnet",
      "args": [
        "run",
        "--project",
        "${workspaceFolder}/src/ASTRAIN.Client"
      ],
      "cwd": "${workspaceFolder}",
      "stopAtEntry": false,
      "serverReadyAction": {
        "action": "openExternally",
        "pattern": "\\bNow listening on:\\s+https?://\\[::\\]:(\\d+)",
        "uriFormat": "http://localhost:%s"
      },
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development"
      }
    }
  ],
  "compounds": [
    {
      "name": "ASTRAIN.Full",
      "configurations": [
        "ASTRAIN.Api",
        "ASTRAIN.Client"
      ]
    }
  ]
}